Subject: Re: [Bugme-new] [Bug 12877] New: tg3: eth0 transit timed out, resetting -> dead NIC

From: "Michael Chan" <[email-masked]>
Date: Mon, 16 Mar 2009 14:23:21 -0700

On Sun, 2009-03-15 at 14:32 -0700, Andrew Morton wrote:
> > [784063.389142] tg3: eth0: transmit timed out, resetting
> > [784063.447106] tg3: DEBUG: MAC_TX_STATUS[ffffffff] MAC_RX_STATUS[ffffffff]
> > [784063.524104] tg3: DEBUG: RDMAC_STATUS[ffffffff] WDMAC_STATUS[ffffffff]

At the time of tx timeout, the registers all return 0xffffffff.  Does
the subsequent reset bring the device back?  If the device is brought
back, there should be a link up message and traffic should resume.  If
not, please provide lspci -vvvxxx on the eth0 device after the failure.

Also, when one ethernet port fails, does the other port (from the same
dual port device) function ok?

Thanks.